GET /v1/outcomes

Service: analytics · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • brand_id (string) required
  • limit (integer) —
  • offset (integer,null) —

Responses

200 List of outcomes

{
  "type": "object",
  "properties": {
    "outcomes": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": [
              "string",
              "null"
            ]
          },
          "brand_id": {
            "type": "string"
          },
          "metric_key": {
            "type": "string"
          },
          "unit": {
            "type": [
              "string",
              "null"
            ]
          },
          "direction": {
            "type": "string"
          },
          "created_by": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "name",
          "description",
          "brand_id",
          "metric_key",
          "unit",
          "direction",
          "created_by",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "outcomes"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://analytics.platform.loop.health/v1/outcomes \
  -H "Authorization: Bearer $ACCESS_TOKEN"